POST
/api/v1/feature-flagsSet a feature flag
Creates or updates a feature flag. Mass-assignment-safe (ADR-0017).
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Response
200 example
{
"success": true
}All status codes
200Flag set.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)
Code samples
cURL
curl -X POST \ https://evalguard.ai/api/v1/feature-flags \ -H "Authorization: Bearer $EVALGUARD_API_KEY" \
TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/feature-flags",
});
console.log(response);Python
from evalguard import EvalGuard import os client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"]) response = client.request(method="POST", path="/api/v1/feature-flags") print(response)
Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/feature-flags", nil)
if err != nil { panic(err) }
fmt.Println(resp)
}Errors
400401403429